com.jscape.util.reflection

## Class StringField

- java.lang.Object
- - com.jscape.util.reflection.FieldType
  - - com.jscape.util.reflection.StringField

-     public class StringField
      extends FieldType

  String field component.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `defaultValue`
    `java.lang.String` | `pattern`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringField()` Creates new instance.
    `StringField(java.lang.String defaultValue)` Creates new instance with default value.
    `StringField(java.lang.String defaultValue, java.lang.String pattern)` Creates new instance with default value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDefaultValue()` Gets default value.
    `java.lang.String` | `getPattern()` Gets value pattern.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### defaultValue

          public final java.lang.String defaultValue

    - #### pattern

          public final java.lang.String pattern

  - ### Constructor Detail

    - #### StringField

          public StringField()

      Creates new instance.

    - #### StringField

          public StringField(java.lang.String defaultValue)

      Creates new instance with default value.
      Parameters:
        `defaultValue` - the default value

    - #### StringField

          public StringField(java.lang.String defaultValue,
                             java.lang.String pattern)

      Creates new instance with default value.
      Parameters:
        `defaultValue` - the default value
        `pattern` - the value pattern

  - ### Method Detail

    - #### getDefaultValue

          public java.lang.String getDefaultValue()

      Gets default value.
      Returns:
        a default value

    - #### getPattern

          public java.lang.String getPattern()

      Gets value pattern.
      Returns:
        a pattern

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.